# Rake task for local development setup

namespace :dev do
  task :config_db do
    sh 'ln -snf database.yml.sqlite3 config/database.yml'
  end

  task :config_refinery do
    sh 'cp config/initializers/refinery/core.rb.example config/initializers/refinery/core.rb'
  end

  desc "Setup local environment for development."
  task :setup => [ 'config_refinery', 'config_db', 'db:setup', 'db:seed' ]
end
